commit 9fd1daa65e042705b11cb41bf7d6b72a4c31b7c7
Author: Carles <carles.marti-aliod@ens-lyon.fr>
Date:   Wed May 20 00:23:38 2020 +0200

    Removed non used options from input and added new option on tests

diff --git a/examples/dockonsurf.inp b/examples/dockonsurf.inp
index b5b38aa..b35f043 100644
--- a/examples/dockonsurf.inp
+++ b/examples/dockonsurf.inp
@@ -16,8 +16,6 @@ isol_inp_file = tests/isolated.inp    # run_type-dependent
 molec_file = tests/acetic.xyz    # run_type-dependent
 cluster_magns = energy MOI
 num_conformers = 100
-num_prom_cand = 5
-iso_rmsd = 0.1
 min_confs = False
 
 [Screening]
@@ -27,7 +25,6 @@ molec_ads_ctrs = 178 (185 187)      # run_type-dependent
 try_disso = True
 sample_points_per_angle = 4
 collision_threshold = 0.9
-screen_rmsd = 0.1
 collision_bottom_z = 5.2
 
 [Refinement]
diff --git a/modules/dos_input.py b/modules/dos_input.py
index 3cb2456..69d4801 100644
--- a/modules/dos_input.py
+++ b/modules/dos_input.py
@@ -581,8 +581,8 @@ def read_input(in_file):
         # Facultative options (Default/Fallback value present)
         return_vars['cluster_magns'] = get_cluster_magns()
         return_vars['num_conformers'] = get_num_conformers()
-        return_vars['num_prom_cand'] = get_num_prom_cand()
-        return_vars['iso_rmsd'] = get_iso_rmsd()
+        # return_vars['num_prom_cand'] = get_num_prom_cand()
+        # return_vars['iso_rmsd'] = get_iso_rmsd()
         return_vars['min_confs'] = get_min_confs()
 
     # Screening
@@ -605,7 +605,7 @@ def read_input(in_file):
         return_vars['try_disso'] = get_try_disso()
         return_vars['sample_points_per_angle'] = get_pts_per_angle()
         return_vars['collision_threshold'] = get_coll_thrsld()
-        return_vars['screen_rmsd'] = get_screen_rmsd()
+        # return_vars['screen_rmsd'] = get_screen_rmsd()
         return_vars['collision_bottom_z'] = get_coll_bottom_z()
 
     # Refinement
diff --git a/tests/good.inp b/tests/good.inp
index 1e41551..4c99a9d 100644
--- a/tests/good.inp
+++ b/tests/good.inp
@@ -16,8 +16,6 @@ isol_inp_file = isolated.inp    # run_type-dependent
 molec_file = acetic.xyz    # run_type-dependent
 cluster_magns = energy MOI
 num_conformers = 100
-num_prom_cand = 5
-iso_rmsd = 0.1
 min_confs = False
 
 [Screening]
@@ -27,7 +25,6 @@ molec_ads_ctrs = 178 (185 187)      # run_type-dependent
 try_disso = True
 sample_points_per_angle = 4
 collision_threshold = 0.9
-screen_rmsd = 0.1
 collision_bottom_z = 5.2
 
 [Refinement]
diff --git a/tests/test_dos_input.py b/tests/test_dos_input.py
index 765ccb0..df22c34 100644
--- a/tests/test_dos_input.py
+++ b/tests/test_dos_input.py
@@ -22,11 +22,13 @@ class TestGoodInput(unittest.TestCase):
     read_input('good.inp')
 
     def test_all_good(self):
-        exp_dict = {'isolated': True,
+        exp_dict = {'project_name': 'example',
+                    'isolated': True,
                     'screening': True,
                     'refinement': True,
                     'code': 'cp2k',
                     'batch_q_sys': 'sge',
+                    'subm_script': 'cp2k.sub',
                     'relaunch_err': 'geo_not_conv',
                     'max_qw': 5,
                     'special_atoms': [('Fe1', 'Fe'), ('Fe2', 'Fe'),
@@ -35,8 +37,6 @@ class TestGoodInput(unittest.TestCase):
                     'molec_file': 'acetic.xyz',
                     'cluster_magns': ['energy', 'moi'],
                     'num_conformers': 100,
-                    'num_prom_cand': 5,
-                    'iso_rmsd': 0.1,
                     'min_confs': False,
                     'screen_inp_file': 'screen.inp',
                     'sites': [128, [135, 138, 141]],
@@ -44,13 +44,14 @@ class TestGoodInput(unittest.TestCase):
                     'try_disso': True,
                     'sample_points_per_angle': 4,
                     'collision_threshold': 0.9,
-                    'screen_rmsd': 0.1,
                     'collision_bottom_z': 5.2,
                     'refine_inp_file': 'refine.inp',
                     'energy_cutoff': 1.0
                     }
         self.assertEqual(read_input('good.inp'), exp_dict)
 
+    # TODO add single tests for subm_script and project_name
+
     def test_run_type(self):
         self.assertEqual(get_run_type(), (True, True, True))
 
@@ -83,12 +84,6 @@ class TestGoodInput(unittest.TestCase):
     def test_num_conformers(self):
         self.assertEqual(get_num_conformers(), 100)
 
-    def test_num_prom_cand(self):
-        self.assertEqual(get_num_prom_cand(), 5)
-
-    def test_iso_rmsd(self):
-        self.assertEqual(get_iso_rmsd(), 0.1)
-
     def test_min_confs(self):
         self.assertEqual(get_min_confs(), False)
 
@@ -110,9 +105,6 @@ class TestGoodInput(unittest.TestCase):
     def test_coll_thrsld(self):
         self.assertEqual(get_coll_thrsld(), 0.9)
 
-    def test_screen_rmsd(self):
-        self.assertEqual(get_screen_rmsd(), 0.1)
-
     def test_coll_bottom_z(self):
         self.assertEqual(get_coll_bottom_z(), 5.2)
 
@@ -153,12 +145,6 @@ class TestBadInput(unittest.TestCase):
     def test_num_conformers(self):
         self.assertRaises(ValueError, get_num_conformers)
 
-    def test_num_prom_cand(self):
-        self.assertRaises(ValueError, get_num_prom_cand)
-
-    def test_iso_rmsd(self):
-        self.assertRaises(ValueError, get_iso_rmsd)
-
     def test_min_confs(self):
         self.assertRaises(ValueError, get_min_confs)
 
@@ -180,9 +166,6 @@ class TestBadInput(unittest.TestCase):
     def test_coll_thrsld(self):
         self.assertRaises(ValueError, get_coll_thrsld)
 
-    def test_screen_rmsd(self):
-        self.assertRaises(ValueError, get_screen_rmsd)
-
     def test_coll_bottom_z(self):
         self.assertRaises(ValueError, get_coll_bottom_z)
 
diff --git a/tests/wrong.inp b/tests/wrong.inp
index 8b1a2dd..e0f99a9 100644
--- a/tests/wrong.inp
+++ b/tests/wrong.inp
@@ -17,8 +17,6 @@ isol_inp_file = covid-19.inp    # run_type-dependent
 molec_file = qweqwe.xyz    # run_type-dependent
 cluster_magns =  Perseus
 num_conformers = -3/2
-num_prom_cand = i dunno
-iso_rmsd = pi?
 min_confs = flash?
 
 [Screening] # run_type-dependent
@@ -28,7 +26,6 @@ molec_ads_ctrs = none i know      # run_type-dependent
 try_disso = No drugs, thanks
 sample_points_per_angle = which points? what angle? who am I?
 collision_threshold = don't have a collision insurance, sorry
-screen_rmsd = rmsd? Real Madrid Sudden Defeat, probably.
 collision_bottom_z = this must be twerking
 
 [Refinement]
